/*------------------------- SHARWIND.H -------------------------*/
/*								*/
/*  This file contains definitions used for the window library	*/
/*  that are needed both internally by the library and also	*/
/*  by the user of the library.					*/
/*								*/
/*         Copyright 1990 Dan Vogel & David Bernazzani		*/
/*								*/
/*								*/
/*		Revision History				*/
/*								*/
/*  03/20/90   DCV	Release.				*/
/*								*/
/*--------------------------------------------------------------*/

#ifndef SHARWIND_H     /* Prevent re-including this file! */

#define SHARWIND_H   1


		/* Window Option Definitions */
	     /* Also options for forms and menus */

#define BORDER_BITS		(BITS)0x03
#define SINGLE_BORDER_BIT	(BITS)0x01
#define DOUBLE_BORDER_BIT	(BITS)0x02
#define EXPLODE_BIT		(BITS)0x04
#define IMPLODE_BIT		(BITS)0x08
#define POPUP_BIT		(BITS)0x10
#define HOT_EXEC_BIT		(BITS)0x40
#define MOUSE_ENABLE_BIT	(BITS)0x80



		/* Text Screen Colors */

#define	INIT_TEXT_BLACK		0L
#define	INIT_TEXT_BLUE		1L
#define	INIT_TEXT_GREEN		2L
#define	INIT_TEXT_CYAN		3L
#define	INIT_TEXT_RED		4L
#define	INIT_TEXT_MAGENTA	5L
#define	INIT_TEXT_BROWN		6L
#define	INIT_TEXT_WHITE		7L
#define	INIT_TEXT_DGREY		8L
#define	INIT_TEXT_LBLUE		9L
#define	INIT_TEXT_LGREEN	10L
#define	INIT_TEXT_LCYAN		11L
#define	INIT_TEXT_LRED		12L
#define	INIT_TEXT_LMAGENTA	13L
#define	INIT_TEXT_YELLOW	14L
#define	INIT_TEXT_BWHITE	15L




			/*  Error Values  */

#define WINDOW_ERR_NO_ERR     (ERR_NONE)     /* Success 		      */

#define WINDOW_ERR_HELP_FILE  (ERR_WINDOW-0) /* File opening error	      */
#define WINDOW_ERR_HELP_WIND  (ERR_WINDOW-1) /* Display window too small!     */
#define WINDOW_ERR_NO_HEAP    (ERR_WINDOW-2) /* Out of heap for storage       */
#define WINDOW_ERR_NOT_WPTR   (ERR_WINDOW-3) /* Bad ptr to window structure   */
#define WINDOW_ERR_BAD_DEF    (ERR_WINDOW-4) /* Size of window exceeds screen */
#define WINDOW_ERR_BAD_ROWS   (ERR_WINDOW-5) /* Bad # of rows to set rows     */

       /* Access to color definitions. */

IMPORT DWORD TEXT_BLACK;
IMPORT DWORD TEXT_BLUE;
IMPORT DWORD TEXT_GREEN;
IMPORT DWORD TEXT_CYAN;
IMPORT DWORD TEXT_RED;
IMPORT DWORD TEXT_MAGENTA;
IMPORT DWORD TEXT_BROWN;
IMPORT DWORD TEXT_WHITE;
IMPORT DWORD TEXT_DGREY;
IMPORT DWORD TEXT_LBLUE;
IMPORT DWORD TEXT_LGREEN;
IMPORT DWORD TEXT_LCYAN;
IMPORT DWORD TEXT_LRED;
IMPORT DWORD TEXT_LMAGENTA;
IMPORT DWORD TEXT_YELLOW;
IMPORT DWORD TEXT_BWHITE;

#endif
