/*------------------------- USERFORM.H -------------------------*/
/*								*/
/*  This file contains definitions used for the form library	*/
/*  that are needed by the user of the library.			*/
/*								*/
/*         Copyright 1990 Dan Vogel & David Bernazzani		*/
/*								*/
/*								*/
/*		Revision History				*/
/*								*/
/*  03/05/90   DCV	Release.				*/
/*								*/
/*--------------------------------------------------------------*/


#ifndef SHARFORM_H        /* Prevent re-including this file! */
#ifndef USERFORM_H        /* Prevent re-including this file! */

#define USERFORM_H    1

		/*  Include Files  */
#include "VIS.H"                        /* Common definitions */

#include "SHARFORM.H"			/* Pick up shared definitions */

#include "USERLIST.H"
#include "USERWIND.H"
#include "USERMOUS.H"

		/*  Type Definitions  */

typedef UBYTE FORM_HEAD;        /* Form Header */
typedef UBYTE FORM_FIELD;       /* Form prompt/entry field pair*/
typedef UBYTE FORM_TEXT;        /* Form prompt or entry field descr.*/


		/* Routine Definitions */

IMPORT  WORD Form_Add(FORM_HEAD *form_ptr,FLAG (*form_valid)(),FORM_FIELD * *field_ptr);
IMPORT	WORD Form_Define(FORM_HEAD * *new_form,UBYTE row,UBYTE col,UBYTE height,UBYTE width,DWORD bkcol,DWORD txtcol,TEXT *title,BITS options);
IMPORT	WORD Form_Delete(FORM_HEAD *formptr);
IMPORT	WORD Form_Entry(FORM_HEAD *formptr);
IMPORT	WORD Form_GetDefine(FORM_HEAD *formptr,UBYTE *row,UBYTE *col,UBYTE *height,UBYTE *width,DWORD *bkcol,DWORD *txtcol,TEXT *(*title),BITS *options);
IMPORT  WORD Form_PromptAdd(FORM_FIELD *field_ptr,UBYTE row,UBYTE col,UBYTE length,DWORD bkcol,DWORD txtcol,DWORD highbkcol,DWORD highcol,TEXT *str_txt);
IMPORT	WORD Form_ReDefine(FORM_HEAD *formptr,UBYTE row,UBYTE col,UBYTE height,UBYTE width,DWORD bkcol,DWORD txtcol,TEXT *title,BITS options);
IMPORT  WORD Form_TextAdd(FORM_FIELD *field_ptr,UBYTE row,UBYTE col,UBYTE length,DWORD bkcol,DWORD txtcol,DWORD highbkcol,DWORD highcol,TEXT *str_txt);

#endif
#endif
