/*------------------------- USERLIST.H -------------------------*/
/*								*/
/*  This file contains definitions used for the list library	*/
/*  that are needed by the user of the library.			*/
/*								*/
/*	    Copyright 1990 Dan Vogel & David Bernazzani		*/
/*								*/
/*								*/
/*		Revision History				*/
/*								*/
/*  03/05/90   DCV	Release.				*/
/*								*/
/*--------------------------------------------------------------*/

#ifndef SHARLIST_H        /* Prevent re-including this file! */
#ifndef USERLIST_H        /* Prevent re-including this file! */

#define USERLIST_H    1

		/*  Include Files  */
#include "VIS.H"                        /* Common definitions */

#include "SHARLIST.H"                   /* Pick up shared definitions */


		/*  Type Definitions  */

typedef UBYTE LIST_LINK;
typedef UBYTE LIST_HEAD;


		/*  Routine Definitions  */

IMPORT  WORD List_Add(LIST_HEAD *list_root,LIST_LINK *list_ptr,UBYTE *new_item);
IMPORT  WORD List_Append(LIST_HEAD *list_top,UBYTE *new_item);
IMPORT  WORD List_Bottom(LIST_HEAD *list_ptr,LIST_LINK * *bot_link);
IMPORT  WORD List_Count(LIST_HEAD *list_ptr);
IMPORT  WORD List_Define(LIST_HEAD * *new_list,WORD (*compare_f)(UBYTE *,UBYTE *),WORD (*delete_f)(UBYTE *),WORD (*display_f)(UBYTE *,TEXT *));
IMPORT  WORD List_Delete(LIST_HEAD *del_list);
IMPORT  WORD List_DeleteItem(LIST_HEAD *list_ptr,UBYTE *remove_item);
IMPORT  WORD List_Display(UBYTE topy,UBYTE col,UBYTE height,UBYTE width,DWORD bkcol,DWORD txtcol,UBYTE border,TEXT *title,LIST_HEAD *d_list);
IMPORT  WORD List_DisplayItem(LIST_HEAD *list_ptr,LIST_LINK *disp_link,TEXT *buffer);
IMPORT  WORD List_Find(LIST_HEAD *list_ptr,UBYTE *find_item,LIST_LINK * *list_fnd);
IMPORT  WORD List_GetItem(LIST_LINK *list_ptr, UBYTE **new_item);
IMPORT  WORD List_Last(LIST_LINK *curr_link,LIST_LINK * *last_link);
IMPORT  WORD List_Next(LIST_LINK *curr_link,LIST_LINK * *next_link);
IMPORT  WORD List_Nth(LIST_HEAD *list_ptr,WORD list_num,LIST_LINK * *ret_link);
IMPORT  WORD List_RemoveItem(LIST_HEAD *list_ptr,UBYTE *remove_item);
IMPORT  WORD List_Select(UBYTE topy, UBYTE col, UBYTE height, UBYTE width, DWORD bkcol, DWORD txtcol, DWORD hbkcol, DWORD htxtcol, UBYTE border, TEXT *title, LIST_HEAD *d_list, WORD *sel_num);
IMPORT  WORD List_Sort(LIST_HEAD *list_ptr,WORD (*compare_f)(UBYTE *,UBYTE *));
IMPORT  WORD List_Top(LIST_HEAD *list_ptr,LIST_LINK * *top_link);

#endif
#endif
