/*------------------------- USERMENU.H -------------------------*/
/*								*/
/*  This file contains definitions used for the menu library	*/
/*  that are needed by the user of the library.			*/
/*								*/
/*	    Copyright 1990 Dan Vogel & David Bernazzani		*/
/*								*/
/*								*/
/*		Revision History				*/
/*								*/
/*  03/05/90   DCV	Release.				*/
/*								*/
/*--------------------------------------------------------------*/

#ifndef SHARMENU_H        /* Prevent re-including this file! */
#ifndef USERMENU_H        /* Prevent re-including this file! */

#define USERMENU_H    1

		/*  Include Files  */
#include "VIS.H"                        /* Common definitions */

#include "SHARMENU.H"                   /* Pick up shared definitions */

#include "USERLIST.H"
#include "USERWIND.H"


		/*  Type Definitions  */

typedef UBYTE MENU_HEAD;
typedef UBYTE MENU_BAR_HEAD;


		/* Routine Definitions */

IMPORT  WORD Menu_Add(MENU_HEAD *menu_ptr,TEXT *menu_text,TEXT hot_key,WORD ret_val,WORD (*menu_action)());
IMPORT  WORD Menu_AddToBar(MENU_BAR_HEAD *menubar_ptr, MENU_HEAD *menu_ptr, WORD ret_val, TEXT *menu_text, TEXT hot_key);
IMPORT	WORD Menu_AutoDisplay(MENU_HEAD *menuptr);
IMPORT	WORD Menu_Bar_Define(MENU_BAR_HEAD **new_menubar,UBYTE topy,UBYTE leftx,UBYTE width,DWORD bkcol,DWORD txtcol,DWORD highbkcol,DWORD highcol,BITS options);
IMPORT	WORD Menu_Bar_GetDefine(MENU_BAR_HEAD *menubarptr,UBYTE *topy,UBYTE *leftx,UBYTE *width,DWORD *bkcol,DWORD *txtcol,DWORD *highbkcol,DWORD *highcol,BITS *options);
IMPORT	WORD Menu_Bar_ReDefine(MENU_BAR_HEAD *menubarptr,UBYTE topy,UBYTE leftx,UBYTE width,DWORD bkcol,DWORD txtcol,DWORD highbkcol,DWORD highcol,BITS options);
IMPORT	WORD Menu_Define(MENU_HEAD * *new_menu,UBYTE row,UBYTE col,UBYTE height,UBYTE width,DWORD bkcol,DWORD txtcol,DWORD highbkcol,DWORD highcol,TEXT *title,BITS options);
IMPORT  WORD Menu_Delete(MENU_HEAD *menu_ptr);
IMPORT  WORD Menu_DeleteBar(MENU_BAR_HEAD *menubar_ptr);
IMPORT	WORD Menu_Display(MENU_HEAD *menuptr);
IMPORT  WORD Menu_DisplayBar(MENU_BAR_HEAD *menubar_ptr);
IMPORT  WORD Menu_DoFile(TEXT *filename);
IMPORT	WORD Menu_GetDefine(MENU_HEAD *menuptr,UBYTE *row,UBYTE *col,UBYTE *height,UBYTE *width,DWORD *bkcol,DWORD *txtcol,DWORD *highbkcol,DWORD *highcol,TEXT *(*title),BITS *options);
IMPORT	WORD Menu_ReDefine(MENU_HEAD *menuptr,UBYTE row,UBYTE col,UBYTE height,UBYTE width,DWORD bkcol,DWORD txtcol,DWORD highbkcol,DWORD highcol,TEXT *title,BITS options);

#endif
#endif
